Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Interface Repository

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  ClassLoaderRepository, SyntheticRepository

public interface Repository
extends java.io.Serializable

Abstract definition of a class repository. Instances may be used to load classes from different sources and may be used in the Repository.setRepository method.

Version:
  $Id: Repository.java,v 1.5 2002/12/08 16:04:38 mdahm Exp $
Author:
  M. Dahm, David Dixon-Peugh
See Also:
  `Repository`

Method Summary
`void` | `clear()` Clear all entries from cache.
`JavaClass` | `findClass(java.lang.String className)` Find the class with the name provided, if the class isn't there, return NULL.
`JavaClass` | `loadClass(java.lang.Class clazz)` Find the JavaClass instance for the given run-time class object
`JavaClass` | `loadClass(java.lang.String className)` Find the class with the name provided, if the class isn't there, make an attempt to load it.
`void` | `removeClass(JavaClass clazz)` Remove class from repository
`void` | `storeClass(JavaClass clazz)` Store the provided class under "clazz.getClassName()"

Method Detail

### storeClass

    public void storeClass(JavaClass clazz)

  Store the provided class under "clazz.getClassName()"

### removeClass

    public void removeClass(JavaClass clazz)

  Remove class from repository

### findClass

    public JavaClass findClass(java.lang.String className)

  Find the class with the name provided, if the class isn't there, return NULL.

### loadClass

    public JavaClass loadClass(java.lang.String className)
                        throws java.lang.ClassNotFoundException

  Find the class with the name provided, if the class isn't there, make an attempt to load it.

    `java.lang.ClassNotFoundException`

### loadClass

    public JavaClass loadClass(java.lang.Class clazz)
                        throws java.lang.ClassNotFoundException

  Find the JavaClass instance for the given run-time class object

    `java.lang.ClassNotFoundException`

### clear

    public void clear()

  Clear all entries from cache.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.